import request from '@/utils/request'

// 查询大屏设置管理列表
export function listScreenSettings(query) {
  return request({
    url: '/hnyz/screenSettings/list',
    method: 'get',
    params: query
  })
}

// 查询大屏设置管理列表
export function listScreenSettingsForm(query) {
  return request({
    url: '/hnyz/screenSettings/formList',
    method: 'get',
    params: query
  })
}

// 查询大屏设置管理详细
export function getScreenSettings(id) {
  return request({
    url: '/hnyz/screenSettings/' + id,
    method: 'get'
  })
}

// 新增大屏设置管理
export function addScreenSettings(data) {
  return request({
    url: '/hnyz/screenSettings',
    method: 'post',
    data: data
  })
}

// 修改大屏设置管理
export function updateScreenSettings(data) {
  return request({
    url: '/hnyz/screenSettings',
    method: 'put',
    data: data
  })
}

// 删除大屏设置管理
export function delScreenSettings(id) {
  return request({
    url: '/hnyz/screenSettings/' + id,
    method: 'delete'
  })
}

//修改大屏设置管理状态
export function changeStatus(id ,status) {
  return request({
    url: '/hnyz/screenSettings/changeStatus', 
    method: 'put',
    data: {id, status}
  })
}